Bug 648669 (CVE-2010-4080) - CVE-2010-4080 kernel: drivers/sound/pci/rme9652/hdsp.c: reading uninitialized stack memory
Summary: CVE-2010-4080 kernel: drivers/sound/pci/rme9652/hdsp.c: reading uninitialized...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4080
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100925,reported=20101006,sou...
Depends On: 648707 648708 648709 648710 648711 648806 648807
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 21:25 UTC by Petr Matousek
Modified: 2019-06-08 18:39 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 06:32:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0958 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2010-12-08 19:08:55 UTC
Red Hat Product Errata RHSA-2011:0007 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-11 19:44:55 UTC
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC
Red Hat Product Errata RHSA-2011:0162 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 17:45:00 UTC

Description Petr Matousek 2010-11-01 21:25:43 UTC
Description of problem:
The SNDRV_HDSP_IOCTL_GET_CONFIG_INFO ioctl in hdsp.c allows
unprivileged users to read uninitialized kernel stack memory, because
several fields of the hdspm_config_info structs declared on the stack
are not altered or zeroed before being copied back to the user. 

Reference:
http://www.openwall.com/lists/oss-security/2010/10/06/6
http://lkml.org/lkml/2010/9/25/41

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 3 Petr Matousek 2010-11-02 11:15:32 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 3 as it did not include support for RME Hammerfall DSP Audio.

Comment 4 Eugene Teo (Security Response) 2010-11-04 07:37:44 UTC
Upstream commit:
http://git.kernel.org/linus/e68d3b316ab7b02a074edc4f770e6a746390cb7d

Comment 5 errata-xmlrpc 2010-12-08 19:10:06 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 6 errata-xmlrpc 2011-01-11 19:46:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 7 errata-xmlrpc 2011-01-13 21:59:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Comment 8 errata-xmlrpc 2011-01-14 09:03:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Comment 9 errata-xmlrpc 2011-01-18 17:45:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0162 https://rhn.redhat.com/errata/RHSA-2011-0162.html


Note You need to log in before you can comment on or make changes to this bug.